/**
 * Tooltips
 */
.tooltip-link {
	position: relative;
}

.tooltip-icon {
	display: grid;
	justify-items: center;
	align-items: center;
}

.tooltip-icon > * {
	margin-top: 1px;
}

.tooltip-tip {
	position: absolute;
	top: 100%;
	right: 0;
	display: block;
	margin-top: 5px;
	padding: 0 20px;
	line-height: 40px;
	visibility: hidden;
	opacity: 0;
	text-transform: none;
	white-space: nowrap;
	text-align: left;
	font-size: 14px;
	color: var(--color-dark);
	background: var(--color-white);
	border-radius: 0;
	box-shadow: 0 5px 15px 0 rgba(0, 0, 0, 0.22);
	transform: translateX(-20px) skew(-10deg);
	transition: visibility var(--ease-base), opacity var(--ease-base), transform var(--ease-base);
}

.tooltip-tip::after {
	content: "";
	position: absolute;
	right: 19px;
	top: -5px;
	width: 0;
	height: 0;
	border-left: 5px solid transparent;
	border-right: 5px solid transparent;
	border-bottom: 5px solid var(--color-white);
}

.tooltip-inactive {
	display: none;
}

.tooltip-top {
	top: auto;
	bottom: 100%;
	right: auto;
	left: 0;
	transform: translateX(20px) skew(-10deg);
}

.tooltip-top::after {
	top: auto;
	right: auto;
	left: 19px;
	bottom: -5px;
	border-top: 5px solid var(--color-white);
	border-bottom: 0;
}

.tooltip-center::after {
	right: 50%;
	transform: translateX(50%);
}

.tooltip-link:hover .tooltip-tip,
.tooltip-link:focus-visible .tooltip-tip {
	z-index: 2;
	visibility: visible;
	opacity: 1;
	transform: translateX(0px) skew(0deg);
}

.tooltip-link:focus-visible .tooltip-tip {
	z-index: 1;
}